io.vertx.pgclient

## Interface PgPool

- All Superinterfaces:
    io.vertx.sqlclient.Pool, io.vertx.sqlclient.SqlClient

      public interface PgPool
      extends io.vertx.sqlclient.Pool

  A pool of PostgreSQL connections.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PgPool` | `pool()` Like `pool(PoolOptions)` with a default `poolOptions`.
    `static PgPool` | `pool(PgConnectOptions connectOptions, io.vertx.sqlclient.PoolOptions poolOptions)` Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
    `static PgPool` | `pool(io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool(PgConnectOptions, PoolOptions)` with `connectOptions` build from the environment variables.
    `static PgPool` | `pool(String connectionUri)` Like `pool(String, PoolOptions)` with a default `poolOptions`.
    `static PgPool` | `pool(String connectionUri, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool(PgConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.
    `static PgPool` | `pool(Vertx vertx, PgConnectOptions connectOptions, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool(PgConnectOptions, PoolOptions)` with a specific `Vertx` instance.
    `static PgPool` | `pool(Vertx vertx, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool(Vertx, PgConnectOptions, PoolOptions)` with `connectOptions` build from the environment variables.
    `static PgPool` | `pool(Vertx vertx, String connectionUri)` Like `pool(Vertx, String,PoolOptions)` with a default `poolOptions`.
    `static PgPool` | `pool(Vertx vertx, String connectionUri, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool(Vertx, PgConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.
    `<R> PgPool` | `preparedBatch(String sql, List<io.vertx.sqlclient.Tuple> batch, java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector, Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)`
    `PgPool` | `preparedBatch(String sql, List<io.vertx.sqlclient.Tuple> batch, Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)`
    `<R> PgPool` | `preparedQuery(String sql, java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector, Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)`
    `PgPool` | `preparedQuery(String sql, Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)`
    `<R> PgPool` | `preparedQuery(String sql, io.vertx.sqlclient.Tuple arguments, java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector, Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)`
    `PgPool` | `preparedQuery(String sql, io.vertx.sqlclient.Tuple arguments, Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)`
    `<R> PgPool` | `query(String sql, java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector, Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)`
    `PgPool` | `query(String sql, Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)`

    - ### Methods inherited from interface io.vertx.sqlclient.Pool

      `begin, close, getConnection`

- - ### Method Detail

    - #### pool

          static PgPool pool()

      Like `pool(PoolOptions)` with a default `poolOptions`.

    - #### pool

          static PgPool pool(io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool(PgConnectOptions, PoolOptions)` with `connectOptions` build from the environment variables.

    - #### pool

          static PgPool pool(String connectionUri)

      Like `pool(String, PoolOptions)` with a default `poolOptions`.

    - #### pool

          static PgPool pool(String connectionUri,
                             io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool(PgConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### pool

          static PgPool pool(Vertx vertx,
                             String connectionUri)

      Like `pool(Vertx, String,PoolOptions)` with a default `poolOptions`.

    - #### pool

          static PgPool pool(Vertx vertx,
                             io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool(Vertx, PgConnectOptions, PoolOptions)` with `connectOptions` build from the environment variables.

    - #### pool

          static PgPool pool(Vertx vertx,
                             String connectionUri,
                             io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool(Vertx, PgConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### pool

          static PgPool pool(PgConnectOptions connectOptions,
                             io.vertx.sqlclient.PoolOptions poolOptions)

      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static PgPool pool(Vertx vertx,
                             PgConnectOptions connectOptions,
                             io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool(PgConnectOptions, PoolOptions)` with a specific `Vertx` instance.

    - #### preparedQuery

          PgPool preparedQuery(String sql,
                               Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)

      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.SqlClient`

    - #### preparedQuery

          <R> PgPool preparedQuery(String sql,
                                   java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector,
                                   Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)

      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.SqlClient`

    - #### query

          PgPool query(String sql,
                       Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)

      Specified by:
        `query` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `query` in interface `io.vertx.sqlclient.SqlClient`

    - #### query

          <R> PgPool query(String sql,
                           java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector,
                           Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)

      Specified by:
        `query` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `query` in interface `io.vertx.sqlclient.SqlClient`

    - #### preparedQuery

          PgPool preparedQuery(String sql,
                               io.vertx.sqlclient.Tuple arguments,
                               Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)

      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.SqlClient`

    - #### preparedQuery

          <R> PgPool preparedQuery(String sql,
                                   io.vertx.sqlclient.Tuple arguments,
                                   java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector,
                                   Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)

      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.SqlClient`

    - #### preparedBatch

          PgPool preparedBatch(String sql,
                               List<io.vertx.sqlclient.Tuple> batch,
                               Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)

      Specified by:
        `preparedBatch` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedBatch` in interface `io.vertx.sqlclient.SqlClient`

    - #### preparedBatch

          <R> PgPool preparedBatch(String sql,
                                   List<io.vertx.sqlclient.Tuple> batch,
                                   java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector,
                                   Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)

      Specified by:
        `preparedBatch` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedBatch` in interface `io.vertx.sqlclient.SqlClient`

Copyright © 2019 Eclipse. All rights reserved.